# Interface GeometryBuilderOptions

Options for GeometryBuilder.

interface GeometryBuilderOptions {
cullOnCameraMovePredicate?: CullOnCameraMovePredicate;
predicate: (ifcProduct: BimIfcObject) => unknown;
}

#### Hierarchy (View Summary)

- GeometryBuilderOptions
  - IfcGeometryBuilderCreateOptions

##### Index

### Properties

cullOnCameraMovePredicate?
predicate

## Properties

### `Optional` cullOnCameraMovePredicate

cullOnCameraMovePredicate?: CullOnCameraMovePredicate

Predicate function used to decide which meshes can be culled when moving the camera.

#### See

CullOnCameraMovePredicate

### predicate

predicate: (ifcProduct: BimIfcObject) => unknown

The predicate function used to filter which BimIfcObject instances to include in the geometry creation.